org.apache.catalina.tribes.group

## Class GroupChannel.HeartbeatThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.catalina.tribes.group.GroupChannel.HeartbeatThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  GroupChannel

    public static class GroupChannel.HeartbeatThread
    extends Thread

Title: Internal heartbeat thread

Description: if `Channel.getHeartbeat()==true` then a thread of this class is created

Version:
  1.0

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`protected GroupChannel` `channel`
`protected static int` `counter`
`protected boolean` `doRun`
`protected long` `sleepTime`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`GroupChannel.HeartbeatThread(GroupChannel channel, long sleepTime)`

### Method Summary

Methods
`protected static int` `inc()`
`void` `run()`
`void` `stopHeartbeat()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### counter

    protected static int counter

#### doRun

    protected volatile boolean doRun

#### channel

    protected GroupChannel channel

#### sleepTime

    protected long sleepTime

### Constructor Detail

#### GroupChannel.HeartbeatThread

    public GroupChannel.HeartbeatThread(GroupChannel channel,
                                long sleepTime)

### Method Detail

#### inc

    protected static int inc()

#### stopHeartbeat

    public void stopHeartbeat()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`